Bug 189747 - OOo Writer crashes on specific msword document import
OOo Writer crashes on specific msword document import
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: openoffice.org (Show other bugs)
4
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Caolan McNamara
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-04-24 06:51 EDT by Jonathan Allen
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-15 10:47:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
MS Word document that crashes on open-import (412.50 KB, application/octet-stream)
2006-04-24 06:51 EDT, Jonathan Allen
no flags Details

  None (edit)
Description Jonathan Allen 2006-04-24 06:51:45 EDT
Description of problem:

This (attached) MS Word document crashes 100% on open/import in OO 2.0.1
As it happens, it also crashes Writer 1.0.3 in FC2

Version-Release number of selected component (if applicable):

2.0.1

How reproducible:

100%

Steps to Reproduce:
1. start OO
2. click 'open'
3. select the attached document
4. watch ...
  
Actual results:

Writer crashes, producing diagnotice below

Expected results:

File should open

Additional info:

Video Driver is probably nv
DESKTOP_SESSION is set to default
libgcj version is libgcj-4.0.2-8.fc4
OpenOffice.org core rpm version is openoffice.org-core-2.0.1.1-5.1
0x3b4007: /usr/lib/openoffice.org2.0/program/libuno_sal.so.3 + 0x1e007
0x3b47cc: /usr/lib/openoffice.org2.0/program/libuno_sal.so.3 + 0x1e7cc
0xb03420:  + 0x420 (__kernel_sigreturn + 0x0)
0x43bc4fb: /usr/lib/openoffice.org2.0/program/libsw680li.so + 0x5734fb
0x43bc56e: /usr/lib/openoffice.org2.0/program/libsw680li.so + 0x57356e
0x43bc593: /usr/lib/openoffice.org2.0/program/libsw680li.so + 0x573593
0x43bc720: /usr/lib/openoffice.org2.0/program/libsw680li.so + 0x573720
0x43be5fd: /usr/lib/openoffice.org2.0/program/libsw680li.so + 0x5755fd
0x43be682: /usr/lib/openoffice.org2.0/program/libsw680li.so + 0x575682
0x4383901: /usr/lib/openoffice.org2.0/program/libsw680li.so + 0x53a901
0x4383cdc: /usr/lib/openoffice.org2.0/program/libsw680li.so + 0x53acdc
0x4383e10: /usr/lib/openoffice.org2.0/program/libsw680li.so + 0x53ae10
0x4384010: /usr/lib/openoffice.org2.0/program/libsw680li.so + 0x53b010
0x43841cf: /usr/lib/openoffice.org2.0/program/libsw680li.so + 0x53b1cf
0x4386502: /usr/lib/openoffice.org2.0/program/libsw680li.so + 0x53d502
0x43871a1: /usr/lib/openoffice.org2.0/program/libsw680li.so + 0x53e1a1
0x438740b: /usr/lib/openoffice.org2.0/program/libsw680li.so + 0x53e40b
0x4387554: /usr/lib/openoffice.org2.0/program/libsw680li.so + 0x53e554
0x42a6ca0: /usr/lib/openoffice.org2.0/program/libsw680li.so + 0x45dca0
0x4402608: /usr/lib/openoffice.org2.0/program/libsw680li.so + 0x5b9608
0x3082d90: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x134d90
(SfxObjectShell::DoLoad(SfxMedium*) + 0xde2)
0x30af5ba: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x1615ba
(SfxBaseModel::load(com::sun::star::uno::Sequence<com::sun::star::beans::PropertyValue>
const&) + 0x430)
0x30d09d2: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x1829d2
0x3d78f5f: /usr/lib/openoffice.org2.0/program/libfwk680li.so + 0xedf5f
0x3d79751: /usr/lib/openoffice.org2.0/program/libfwk680li.so + 0xee751
0x3d7a3bc: /usr/lib/openoffice.org2.0/program/libfwk680li.so + 0xef3bc
0x3ce0776: /usr/lib/openoffice.org2.0/program/libfwk680li.so + 0x55776
0x2ffaceb: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0xacceb
0x3000ba4: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0xb2ba4
0x30feff4: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x1b0ff4
0x30fe3e1: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x1b03e1
0x30fe8d2: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x1b08d2
(SfxDispatcher::_Execute(SfxShell&, SfxSlot const&, SfxRequest&, unsigned short)
+ 0x138)
0x30febd2: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x1b0bd2
(SfxDispatcher::Execute(unsigned short, unsigned short, unsigned short,
SfxItemSet const&) + 0xe0)
0x30fec5e: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x1b0c5e
(SfxDispatcher::Execute(unsigned short, unsigned short, SfxItemSet const&) + 0x26)
0x2ff9305: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0xab305
0x3000ba4: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0xb2ba4
0x30feff4: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x1b0ff4
0x30fe3e1: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x1b03e1
0x30fe6f5: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x1b06f5
0x30fe798: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x1b0798
0x2ff771c: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0xa971c
0x3117785: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x1c9785
0x3117640: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x1c9640
0x311779a: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x1c979a
0x311762c: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x1c962c
0x7c17e72: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x82e72
0x7d71485: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x1dc485
0x12d3ed0: /usr/lib/openoffice.org2.0/program/libvclplug_gen680li.so + 0x1eed0
0x12fa12b: /usr/lib/openoffice.org2.0/program/libvclplug_gen680li.so + 0x4512b
(SalDisplay::DispatchInternalEvent() + 0xad)
0xe15e1f: /usr/lib/openoffice.org2.0/program/libvclplug_gtk680li.so + 0x1ae1f
0x1251730: /usr/lib/libglib-2.0.so.0 + 0x25730
0x124f4ce: /usr/lib/libglib-2.0.so.0 + 0x234ce (g_main_context_dispatch + 0x1dc)
0x12524d6: /usr/lib/libglib-2.0.so.0 + 0x264d6
0x12529b8: /usr/lib/libglib-2.0.so.0 + 0x269b8 (g_main_context_iteration + 0x66)
0xe15a51: /usr/lib/openoffice.org2.0/program/libvclplug_gtk680li.so + 0x1aa51
0x12fb33d: /usr/lib/openoffice.org2.0/program/libvclplug_gen680li.so + 0x4633d
(X11SalInstance::Yield(unsigned char) + 0x29)
0x7c1e1ba: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x891ba
(Application::Yield() + 0x50)
0x7c1e1f8: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x891f8
(Application::Execute() + 0x26)
0x3c61015: /usr/lib/openoffice.org2.0/program/libsoffice.so + 0x29015
(desktop::Desktop::Main() + 0x15df)
0x7c23769: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x8e769
0x7c23819: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x8e819 (SVMain()
+ 0x29)
0x3c58a37: /usr/lib/openoffice.org2.0/program/libsoffice.so + 0x20a37 (sal_main
+ 0x57)
0x3c58a83: /usr/lib/openoffice.org2.0/program/libsoffice.so + 0x20a83 (main + 0x27)
0xb36d7f: /lib/libc.so.6 + 0x14d7f (__libc_start_main + 0xdf)
0x80484e1: /usr/lib/openoffice.org2.0/program/swriter.bin + 0x4e1
Comment 1 Jonathan Allen 2006-04-24 06:51:45 EDT
Created attachment 128143 [details]
MS Word document that crashes on open-import
Comment 2 Caolan McNamara 2006-04-24 08:02:47 EDT
Working in 2.0.2 (as in FC5/Rawhide).

Perhaps a backport fix is called for.
Comment 3 Jonathan Allen 2006-04-24 08:14:45 EDT
(In reply to comment #2)
> Working in 2.0.2 (as in FC5/Rawhide).
> 
> Perhaps a backport fix is called for.

Yes please ! :-)
Comment 4 Caolan McNamara 2006-05-15 10:47:41 EDT
Limited resources prohibit FC-4 updates at this time.

Note You need to log in before you can comment on or make changes to this bug.